<!--
  Generated template for the CancelRidePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Cancel Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

	<div class="text-center pad-all-10">
    	<h2 ion-text-center class="text-theme">We understand things happen.</h2>
    	<p>Cancel ride to <strong> {{user_ride.city_to}} </strong> </p>

        <div *ngIf="user_ride.booker_payment_paid == 'Yes'">
        	<p>You will receive a full ride refund but this does not include our credit card processing fee of $1.50.</p>

        	<!-- More than 24 hours for the ride -->
        	<p *ngIf="user_ride.control == false"> Total Refund ${{user_ride.price_paid}}</p> 

        	<!-- Less than 24 hours for the ride -->
        	<p *ngIf="user_ride.control == true"> Total Refund ${{ (user_ride.price_paid * 0.50) }}</p> 
        </div>
    	<p>Please select a reason why you are cancelling:</p>
        <div class="form">
            <ion-item>
            	<ion-select [(ngModel)]="reason" style="max-width: :100% !important" placeholder="Select a Reason:">
            		<ion-option value="I no longer need to go to this place">
            			I no longer need to go
            		</ion-option>
            		<ion-option value="Found a better Option">
            			Found a better option
            		</ion-option> 
            		<ion-option value="Rider changed Route">
            			Rider changed route
            		</ion-option>
            		<ion-option value="Other">Other</ion-option>
            	</ion-select>
            </ion-item>
        </div>
    	<button (click)="cancelRide()" ion-button color="danger" >
            Cancel 
        </button>
	</div>

</ion-content>
